<script setup lang="ts">
import { ref } from 'vue'
import { useMemberStore } from '@/stores/member'
import { useReceiptStore } from '@/stores/receipt'

const tel = ref('')
const memberStore = useMemberStore()
const receiptStore = useReceiptStore()
function onClick() {
  memberStore.searchMember(tel.value)
  receiptStore.calReceipt()
}
</script>
<template>
  <v-row no no-gutters>
    <v-col cols="6">
      <v-card-text>
        <v-text-field
          v-model="tel"
          density="compact"
          variant="solo"
          label="Search for members"
          append-inner-icon="mdi-magnify"
          single-line
          hide-details
          @click:append-inner="onClick"
          @keyup.enter="onClick"
        ></v-text-field>
      </v-card-text>
    </v-col>
    <v-col cols="6" class="pa-6">{{
      memberStore.currentMember
        ? memberStore.currentMember.name + ' ' + 'Become a member and get 10% off'
        : 'Member not found'
    }}</v-col>
  </v-row>
</template>
